<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Alternative;
use Illuminate\Http\Request;

class AlternatifController extends Controller
{
    public function index()
    {
        $alternatives = Alternative::all();
        return view('admin.alternatif', compact('alternatives'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'jenis' => 'required',
            'bahan_utama' => 'required',
            'harga' => 'required|numeric',
        ]);

        Alternative::create($request->all());

        return redirect()->route('admin.alternatif.index')
            ->with('success', 'Alternatif berhasil ditambahkan');
    }

    public function edit(Alternative $alternatif)
    {
        return view('admin.alternatif.edit', compact('alternatif'));
    }

    public function update(Request $request, Alternative $alternatif)
    {
        $request->validate([
            'name' => 'required',
            'jenis' => 'required',
            'bahan_utama' => 'required',
            'harga' => 'required|numeric',
        ]);

        $alternatif->update($request->all());

        return redirect()->route('admin.alternatif.index')
            ->with('success', 'Alternatif berhasil diperbarui');
    }

    public function destroy(Alternative $alternatif)
    {
        $alternatif->delete();

        return redirect()->route('admin.alternatif.index')
            ->with('success', 'Alternatif berhasil dihapus');
    }
} 