<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;

class RoleMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @param  string  $role
     * @return mixed
     */
    public function handle(Request $request, Closure $next, $role): Response
    {
        // Tambahkan logging untuk debug
        \Log::info('User role: ' . Auth::user()->role);
        \Log::info('Required role: ' . $role);
        
        if (!Auth::check()) {
            return redirect('login');
        }
        
        // Jika perlu mendukung multiple roles, gunakan array atau explode
        $roles = is_array($role) ? $role : explode('|', $role);
        
        if (!in_array(Auth::user()->role, $roles)) {
            abort(403, 'Unauthorized action.');
        }
        
        return $next($request);
    }
}
