<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
{
    // Buat tabel posts
    Schema::create('posts', function (Blueprint $table) {  // Ganti 'posts_' menjadi 'posts'
        $table->id();
        $table->string('title');
        $table->text('description');
        $table->enum('status_published', ['active', 'inactive'])->default('inactive');
        $table->enum('status', ['published', 'pending', 'rejected'])->default('pending');
        $table->unsignedBigInteger('user_id');
        $table->timestamps();
    });

    // Tambahkan foreign key untuk user_id
    Schema::table('posts', function (Blueprint $table) {  // Pastikan nama tabelnya 'posts'
        $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
    });
}


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('posts_');
    }
};
