<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Forgot Password</title>
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,300,400,600,700,800,900" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-color: #87CEFA;
            font-family: 'Nunito', sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
        }
        .container {
            max-width: 500px;
            padding: 20px;
            background-color: #fff;
            border-radius: 15px;
            box-shadow: 0 10px 15px rgba(0, 0, 0, 0.1);
        }
        h1 {
            font-weight: 700;
            color: #333;
            text-align: center;
        }
        .form-group label {
            font-weight: 600;
        }
        .form-control {
            font-weight: 400;
            border-radius: 5px;
        }
        .btn {
            background-color: rgb(55, 32, 209);
            font-weight: 400;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            width: 100%;
        }
        .btn:hover {
            background-color: rgba(214, 86, 64, 1);
        }
        .text-center a {
            color: rgb(55, 32, 209);
            text-decoration: none;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1 class="h4 text-gray-900 mb-2">Reset Your Password</h1>
        <p class="mb-4 text-center">Masukkan password baru anda</p>

        {{-- Tampilkan error validasi --}}
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul class="mb-0">
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
@if (session('success'))
    <div class="alert alert-success">{{ session('success') }}</div>
@endif

@if (session('error'))
    <div class="alert alert-danger">{{ session('error') }}</div>
@endif

        <form class="user" method="POST" action="{{ route('validation_forgot_password.process') }}">
            @csrf
            <input type="hidden" name="token" value="{{ $token }}">
            <input type="hidden" name="email" value="{{ old('email', request('email')) }}">

            <div class="form-group">
                <input type="password" class="form-control" id="password" name="password"
                    placeholder="Enter Password..." required>
            </div>
            <div class="form-group">
                <input type="password" class="form-control" id="confirmPassword" name="password_confirmation"
                    placeholder="Confirm Password..." required>
            </div>

            <button type="submit" class="btn btn-primary btn-block">
                Reset Password
            </button>
        </form>

        <div class="text-center mt-4">
            <a class="small" href="{{ route('forgot_password.index') }}">Forgot Your Password?</a>
        </div>
        <div class="text-center">
            <a class="small" href="{{ route('login') }}">Already have an account? Login!</a>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.2/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
