@extends('layout.app')

@section('content')
<div class="container-fluid px-4">
    <h1 class="mt-4">Hasil Perhitungan SAW</h1>
    <ol class="breadcrumb mb-4">
        <li class="breadcrumb-item"><a href="{{ Auth::user()->role == 'admin' ? route('admin.dashboard-admin') : route('author.dashboard-author') }}">Dashboard</a></li>
        <li class="breadcrumb-item active">Hasil Rekomendasi</li>
    </ol>

    <div class="card mb-4">
        <div class="card-header">
            <i class="fas fa-table me-1"></i>
            Hasil dan Rekomendasi
        </div>
        <div class="card-body">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>Nama Pupuk</th>
                        <th>Nilai SAW</th>
                        <th>Ranking</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($ranking as $alternatif_id => $nilai)
                        @php
                            $alternatif = $alternatifs->find($alternatif_id);
                        @endphp
                        <tr>
                            <td>{{ $alternatif->name }}</td>
                            <td>{{ number_format($nilai, 4) }}</td>
                            <td>{{ $loop->iteration }}</td>
                        </tr>
                    @endforeach
                </tbody>
            </table>

            <h3 class="mt-4">Detail Perhitungan</h3>
            <table class="table table-bordered mt-3">
                <thead>
                    <tr>
                        <th>Nama Pupuk</th>
                        @foreach($kriterias as $kriteria)
                            <th>{{ $kriteria->name }}</th>
                        @endforeach
                    </tr>
                </thead>
                <tbody>
                    @foreach($alternatifs as $alternatif)
                        <tr>
                            <td>{{ $alternatif->name }}</td>
                            @foreach($kriterias as $kriteria)
                                <td>
                                    @php
                                        $nilai_asli = $penilaians->where('alternatif_id', $alternatif->id)
                                                               ->where('kriteria_id', $kriteria->id_criteria)
                                                               ->first();
                                    @endphp
                                    {{ $nilai_asli ? $nilai_asli->nilai : '-' }}
                                </td>
                            @endforeach
                        </tr>
                    @endforeach
                </tbody>
            </table>

            <div class="mt-4">
                <button onclick="window.print()" class="btn btn-primary">Cetak Hasil</button>
                <form action="{{ route('penilaian.destroy') }}" method="POST" class="d-inline">
                    @csrf
                    @method('DELETE')
                    <button type="submit" class="btn btn-danger" onclick="return confirm('Apakah Anda yakin ingin menghapus semua hasil penilaian?')">
                        Hapus Semua Hasil
                    </button>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection 