@extends('layout.app')

@section('content')
<div class="container mt-5">
    <h2>Input Data Tanaman Padi</h2>
    <form action="{{ route('user.rekomendasi.index') }}" method="GET">
        @csrf
        <div class="mb-3">
            <label for="nitrogen" class="form-label">Kebutuhan Nitrogen</label>
            <input type="text" 
                   class="form-control" 
                   id="nitrogen" 
                   name="nitrogen" 
                   pattern="^[0-9]*\.?[0-9]+$"
                   title="Masukkan angka positif (boleh desimal, contoh: 0.5 atau 5)"
                   required>
        </div>
        <div class="mb-3">
            <label for="fosfor" class="form-label">Kebutuhan Fosfor</label>
            <input type="text" 
                   class="form-control" 
                   id="fosfor" 
                   name="fosfor" 
                   pattern="^[0-9]*\.?[0-9]+$"
                   title="Masukkan angka positif (boleh desimal, contoh: 0.5 atau 5)"
                   required>
        </div>
        <div class="mb-3">
            <label for="kalium" class="form-label">Kebutuhan Kalium</label>
            <input type="text" 
                   class="form-control" 
                   id="kalium" 
                   name="kalium" 
                   pattern="^[0-9]*\.?[0-9]+$"
                   title="Masukkan angka positif (boleh desimal, contoh: 0.5 atau 5)"
                   required>
        </div>
        <div class="mb-3">
            <label for="budget" class="form-label">Budget</label>
            <input type="number" 
                   class="form-control" 
                   id="budget" 
                   name="budget" 
                   min="1" 
                   required>
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>
@endsection
    