@extends('layout.app')

@section('content')
<div class="animated fadeIn">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <strong class="card-title">Profil Pengguna</strong>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4 text-center">
                            <img src="https://ui-avatars.com/api/?name={{ urlencode($user->name) }}&color=7F9CF5&background=EBF4FF" alt="Profil Gambar" class="rounded-circle mb-3" style="width: 150px; height: 150px;">
                            <h4>{{ $user->name }}</h4>
                            <p class="text-muted">{{ $user->email }}</p>
                            <p class="text-muted">Role: {{ ucfirst($user->role) }}</p>
                        </div>
                        <div class="col-md-8">
                            <h5>Informasi Detail</h5>
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item">
                                    <strong>Nama Lengkap:</strong> {{ $user->name }}
                                </li>
                                <li class="list-group-item">
                                    <strong>Email:</strong> {{ $user->email }}
                                </li>
                                <li class="list-group-item">
                                    <strong>Role:</strong> {{ ucfirst($user->role) }}
                                </li>
                                @if($user->email_verified_at)
                                    <li class="list-group-item">
                                        <strong>Email Terverifikasi Pada:</strong> {{ \Carbon\Carbon::parse($user->email_verified_at)->format('d M Y H:i') }}
                                    </li>
                                @else
                                    <li class="list-group-item text-danger">
                                        <strong>Email Belum Terverifikasi</strong>
                                    </li>
                                @endif
                                <li class="list-group-item">
                                    <strong>Terdaftar Sejak:</strong> {{ \Carbon\Carbon::parse($user->created_at)->format('d M Y H:i') }}
                                </li>
                            </ul>
                            <hr>
                            <h5>Aksi</h5>
                            <a href="#" class="btn btn-primary mt-3" data-toggle="modal" data-target="#editProfileModal">Edit Profil</a>
                            <!-- Tambahkan tombol untuk mengubah password atau aksi lain jika diperlukan -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Edit Profile Modal -->
<div class="modal fade" id="editProfileModal" tabindex="-1" role="dialog" aria-labelledby="editProfileModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="editProfileModalLabel">Edit Profil</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="editProfileForm" action="{{ route('user.profile.update') }}" method="POST">
                @csrf
                @method('PUT')
                <div class="modal-body">
                    <div class="form-group">
                        <label for="edit_name">Nama Lengkap</label>
                        <input type="text" class="form-control" id="edit_name" name="name" value="{{ $user->name }}" required>
                    </div>
                    <div class="form-group">
                        <label for="edit_email">Email</label>
                        <input type="email" class="form-control" id="edit_email" name="email" value="{{ $user->email }}" required>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
                    <button type="submit" class="btn btn-primary">Simpan Perubahan</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection 